Skip to main content

List color scales

Returns all color scales in the design system, including their steps with light and dark hex values.
curl https://humic.dev/api/v1/scales \
  -H "Authorization: Bearer sk_live_your_key"
{
  "data": {
    "scales": [
      {
        "key": "brand",
        "steps": [
          { "step": 50, "light": "#F0FDE8", "dark": "#0A1F04" },
          { "step": 100, "light": "#DCFACC", "dark": "#153B0A" },
          { "step": 200, "light": "#BAF59B", "dark": "#1E5B0F" },
          { "step": 500, "light": "#36AA08", "dark": "#5DC731" },
          { "step": 900, "light": "#0A1F04", "dark": "#F0FDE8" }
        ]
      },
      {
        "key": "neutral",
        "steps": [
          { "step": 50, "light": "#FAFAFA", "dark": "#0A0A0A" },
          { "step": 500, "light": "#737373", "dark": "#737373" },
          { "step": 950, "light": "#0A0A0A", "dark": "#FAFAFA" }
        ]
      }
    ]
  }
}
Each step contains:
FieldTypeDescription
stepnumberStep number (typically 50–950)
lightstringHex color for light mode
darkstringHex color for dark mode